## NMObject NMObject |

## Functions

GQuark | nm_object_error_quark ()
DBusGConnection * | nm_object_get_connection ()
const char * | nm_object_get_path ()

## Properties

DBusGConnection * | dbus-connection | Read / Write / Construct Only
gchar * | dbus-path | Read / Write / Construct Only

## Signals

void | object-creation-failed | Run First

## Types and Values

enum | NMObjectError
#define | NM_OBJECT_ERROR
#define | NM_OBJECT_DBUS_CONNECTION
#define | NM_OBJECT_DBUS_PATH

## Object Hierarchy

        GObject
        ╰── NMObject
            ├── NMClient
            ├── NMDevice
            ├── NMWimaxNsp
            ├── NMAccessPoint
            ├── NMIP4Config
            ├── NMIP6Config
            ├── NMActiveConnection
            ├── NMDHCP4Config
            ╰── NMDHCP6Config

## Description

## Functions

### nm_object_error_quark ()

    GQuark
    nm_object_error_quark (void);

Registers an error quark for NMObject if necessary.

#### Returns

the error quark used for NMObject errors.

### nm_object_get_connection ()

    DBusGConnection *
    nm_object_get_connection (NMObject *object);

Gets the NMObject's DBusGConnection.

#### Parameters

object | a NMObject |

#### Returns

the connection.

[transfer none]

### nm_object_get_path ()

    const char *
    nm_object_get_path (NMObject *object);

Gets the DBus path of the NMObject.

#### Parameters

object | a NMObject |

#### Returns

the object's path. This is the internal string used by the device, and must not be modified.

## Types and Values

### enum NMObjectError

Describes errors that may result from operations involving a NMObject.

#### Members

NM_OBJECT_ERROR_UNKNOWN | unknown or unclassified error |
NM_OBJECT_ERROR_OBJECT_CREATION_FAILURE | an error ocured while creating an NMObject |

### NM_OBJECT_ERROR

    #define NM_OBJECT_ERROR nm_object_error_quark ()

### NM_OBJECT_DBUS_CONNECTION

    #define NM_OBJECT_DBUS_CONNECTION "dbus-connection"

### NM_OBJECT_DBUS_PATH

    #define NM_OBJECT_DBUS_PATH "dbus-path"

## Property Details

### The `“dbus-connection”` property

      “dbus-connection”          DBusGConnection *

Flags: Read / Write / Construct Only

### The `“dbus-path”` property

      “dbus-path”                gchar *

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“object-creation-failed”` signal

    void
    user_function (NMObject *master_object,
                   gpointer  error,
                   gpointer  failed_path,
                   gpointer  user_data)

Indicates that an error occurred while creating an NMObject object during property handling of `master_object` .

Note: Be aware that the signal is private for libnm-glib's internal use.

#### Parameters

master_object | the object that received the signal |
error | the error that occurred while creating object |
failed_path | object path of the failed object |
user_data | user data set when the signal handler was connected. |

Flags: Run First